Skip to content
Follow yggy on LinkedInFollow @yggy_tech on X

Cancel document processing (project-scoped)

POST
/api/v1/projects/{projectId}/documents/{id}/cancel
curl --request POST \
--url https://api.yggy.tech/api/v1/projects/example/documents/example/cancel \
--header 'Authorization: Bearer <token>'

Cancel an in-flight document processing workflow (pending/running/suspended).

projectId
required
string
>= 1 characters
id
required
string
host
string | null
x-yggy-organization-id
string | null

Document processing cancelled

Media type application/json
object
success
required
boolean
documentId
required
string
invocationId
required
string
status
required
string
Allowed values: cancelled
message
required
string
Example
{
"status": "cancelled"
}

No active workflow found

Media type application/json
object
success
boolean
error
required
string
message
string
Example
{
"success": false
}

Failed to cancel processing

Media type application/json
object
success
boolean
error
required
string
message
string
Example
{
"success": false
}